X2Profile (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class X2Profile

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
          edu.harvard.hul.ois.jhove.module.pdf.XProfileBase
              edu.harvard.hul.ois.jhove.module.pdf.X2Profile

    public final class X2Profile

extends XProfileBase

PDF profile checker for PDF/X-2 documents. See ISO Standard ISO 15930-2:2003(E), "Graphic technology - Prepress digital data exchange Use of PDF - Part 2: Partial exchange of printing data (PDF/X-2)"

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.XProfileBase
`_bleedBoxPresent, _xType, PDFX1, PDFX1A, PDFX2, PDFX3`

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
`_module, _parser, _profileText, _raf`

Constructor Summary
`X2Profile(PdfModule module)` Constructor.

Method Summary
`protected boolean` | `formObjectOK(PdfDictionary xo)` Checks if a Form xobject is valid.
`boolean` | `satisfiesThisProfile()` Returns `true` if the document satisfies the profile.

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.XProfileBase
`bboxOK, checkPrefsAgainstBleedBox, extGStateOK, filterOK, imageObjectOK, infoDictOK, isBleedBoxPresent, outputIntentsOK, trailerDictOK, xObjectOK`

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
`getText, hasFilters, isAlreadyOK, satisfiesProfile, xObjectsOK`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X2Profile

    public X2Profile(PdfModule module)

  Constructor. Creates an X2Profile object for subsequent testing.

  Parameters:
    `module` - The module under which we are checking the profile.

Method Detail

### satisfiesThisProfile

    public boolean satisfiesThisProfile()

  Returns `true` if the document satisfies the profile.

  Specified by:
    `satisfiesThisProfile` in class `PdfProfile`

### formObjectOK

    protected boolean formObjectOK(PdfDictionary xo)

  Checks if a Form xobject is valid. This overrides the method in XProfileBase.

  Overrides:
    `formObjectOK` in class `XProfileBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD